import React from 'react';
import { Button } from '../components';
import { Delete } from '@mui/icons-material';
import Input from '../components/inputs';

type Props = {};

export default function Settings({ manager }: { manager: any }) {
  return (
    <div>
      <div className="border-b border-secondary-200">
        <div className="flex justify-between items-center px-4 py-2">
          <span className="text-xs font-bold">Visualisation</span>
          <Button
            type="secondary"
            variant="ghost"
            size="xs"
            iconComponent={<Delete />}
            onClick={() => {
              manager.deleteVisualization(manager.active);
            }}
          />
        </div>
        <div className="flex justify-between items-center px-4 py-4">
          <span className="text-xs font-normal">Type</span>
          <Input type="dropdown" />
        </div>
        <div className="flex justify-between items-center px-4 py-4">
          <span className="text-xs font-normal">Name</span>
          <Input type="text" />
        </div>
      </div>
      {manager.renderSettings()}
    </div>
  );
}
