import React from 'react';
import { querybuilderSlice, schemaSlice, setQuerybuilderGraph, searchResultSlice } from '@graphpolaris/shared/lib/data-access/store';

import { configureStore } from '@reduxjs/toolkit';
import { Meta } from '@storybook/react';
import { Provider } from 'react-redux';
import { QueryBuilder } from '../../../panel';
import { QueryMultiGraphology } from '@graphpolaris/shared/lib/querybuilder/model/graphology/utils';
import { QueryElementTypes } from '../../../model';
import { SchemaUtils } from '@graphpolaris/shared/lib/schema/schema-utils';

const Component: Meta<typeof QueryBuilder> = {
  component: QueryBuilder,
  title: 'Querybuilder/Pills/EntityPill',
  decorators: [(story) => <Provider store={Mockstore}>{story()}</Provider>],
};

const Mockstore = configureStore({
  reducer: {
    querybuilder: querybuilderSlice.reducer,
    schema: schemaSlice.reducer,
    searchResults: searchResultSlice.reducer,
  },
});

export const Flow = {
  play: async () => {
    const dispatch = Mockstore.dispatch;

    const graph = new QueryMultiGraphology();
    graph.addPill2Graphology({ id: '2', type: QueryElementTypes.Entity, x: 100, y: 100, name: 'Entity Pill' });
    dispatch(setQuerybuilderGraph(graph.export()));
  },
  args: {},
};

export default Component;
